> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the analytics impact of a metric revision

> Count the results and products affected if this metric revision is excluded from analytics.



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /metrics/{id}/analytics-exclusion-impact
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /metrics/{id}/analytics-exclusion-impact:
    get:
      tags:
        - metrics
      summary: Get the analytics impact of a metric revision
      description: >-
        Count the results and products affected if this metric revision is
        excluded from analytics.
      operationId: getMetricAnalyticsExclusionImpact
      parameters:
        - schema:
            type: string
            minLength: 1
            description: Metric revision ID
          required: true
          description: Metric revision ID
          name: id
          in: path
      responses:
        '200':
          description: Metric analytics exclusion impact
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricAnalyticsExclusionImpactResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    MetricAnalyticsExclusionImpactResponse:
      type: object
      properties:
        resultCount:
          type: integer
          minimum: 0
        products:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              resultCount:
                type: integer
                minimum: 0
            required:
              - id
              - name
              - resultCount
      required:
        - resultCount
        - products
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````